tagtraum industries: SIXBS - Simple XML Bean Serialization: Class TreeMapAdapt

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tagtraum.sixbs.adapters.util
Class TreeMapAdapt

    java.lang.Object
      |
      +--com.tagtraum.sixbs.AbstractAdapter
            |
            +--com.tagtraum.sixbs.adapters.util.MapAdapt
                  |
                  +--com.tagtraum.sixbs.adapters.util.SortedMapAdapt
                        |
                        +--com.tagtraum.sixbs.adapters.util.TreeMapAdapt

All Implemented Interfaces:
  Adapter

public class TreeMapAdapt
extends SortedMapAdapt

Adapter for an `TreeMap`.

Version:
  $Id: TreeMapAdapt.java,v 1.1 2001/05/06 14:55:02 Hendrik Exp $
Author:
  Hendrik Schreiber

Field Summary
`static String` | `vcid` Source-Version

Constructor Summary
`TreeMapAdapt()`
`TreeMapAdapt(TreeMap map)`

Method Summary
`Object` | `deserialize()` Returns the object that has been initialized from XML by calling the setter methods of a class implementing this interface. Example: In `ArrayListAdapt` this method returns an initialized `ArrayList`.

Methods inherited from class com.tagtraum.sixbs.adapters.util.SortedMapAdapt
`getComparator, setComparator`

Methods inherited from class com.tagtraum.sixbs.adapters.util.MapAdapt
`getMapEntries, setInternalMap, setMapEntries`

Methods inherited from class com.tagtraum.sixbs.AbstractAdapter
`equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vcid

    public static String vcid

  Source-Version

Constructor Detail

### TreeMapAdapt

    public TreeMapAdapt()

### TreeMapAdapt

    public TreeMapAdapt(TreeMap map)

Method Detail

### deserialize

    public Object deserialize()
                       throws SIXBSException

  Description copied from interface: `Adapter`
  Returns the object that has been initialized from XML by calling the setter methods of a class implementing this interface.

  Example:

  In `ArrayListAdapt` this method returns an initialized `ArrayList`. The ArrayList has been initialized by the Adapter, when the `ListAdapt.setList(Object[])` method was called by `SIXBSReader`.

  Overrides:
    `deserialize` in class `MapAdapt`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 tagtraum industries.